Closed Bug 1366176 Opened 3 years ago Closed 2 years ago

crash in nsINode::IsEditableInternal

Categories

(Core :: Selection, defect, critical)

38 Branch
defect
Not set
critical

Tracking

()

RESOLVED FIXED
mozilla55
Tracking Status
firefox-esr45 --- wontfix
firefox-esr52 --- wontfix
firefox53 --- wontfix
firefox54 --- fixed
firefox55 --- fixed

People

(Reporter: sjh21a, Assigned: mats)

References

Details

(Keywords: crash, csectype-nullptr, testcase)

Crash Data

Attachments

(3 files, 1 obsolete file)

Attached file ff_cr.html (obsolete) —
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36

Steps to reproduce:

open reproduce file

---- crash log ----
Process:               plugin-container [31957]
Path:                  /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container
Identifier:            plugin-container
Version:               1.0
Code Type:             X86-64 (Native)
Parent Process:        firefox [31954]
Responsible:           plugin-container [31957]
User ID:               501

Date/Time:             2017-05-17 13:39:10.039 +0900
OS Version:            Mac OS X 10.12.5 (16F73)
Report Version:        12
Anonymous UUID:        FE3E3251-7F1C-4C68-6DF1-570137CFEA8D

Sleep/Wake UUID:       185C8FAB-D1D7-43C0-8A2C-BD22D26F6229

Time Awake Since Boot: 31000 seconds
Time Since Wake:       4900 seconds

System Integrity Protection: disabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000019
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

VM Regions Near 0x19:
--> 
    __TEXT                 0000000100000000-0000000100001000 [    4K] r-x/rwx SM=COW  /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   XUL                           	0x00000001010da432 nsINode::IsEditableInternal() const + 2 (nsINode.cpp:207)
1   XUL                           	0x00000001020bee10 mozilla::HTMLEditor::GetIsSelectionEditable(bool*) + 64 (HTMLEditor.cpp:3351)

Thread 1:
0   libsystem_pthread.dylib       	0x00007fffbfff9070 start_wqthread + 0
1   ???                           	0x0000000000000001 0 + 1

Thread 2:
0   libsystem_kernel.dylib        	0x00007fffbff0734a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fffbff06797 mach_msg + 55
2   XUL                           	0x00000001008331f8 ReceivePort::WaitForMessage(MachReceiveMessage*, unsigned int) + 120 (mach_ipc_mac.mm:277)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 3:: Chrome_ChildThread
0   libsystem_kernel.dylib        	0x00007fffbff0fd96 kevent + 10
1   XUL                           	0x0000000100838b07 kq_dispatch + 727 (kqueue.c:297)

Thread 4:: JS Watchdog
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712

Thread 5:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 6:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 7:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 8:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 9:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 10:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 11:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 12:: JS Helper
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libmozglue.dylib              	0x000000010819b62c mozilla::detail::ConditionVariableImpl::wait_for(mozilla::detail::MutexImpl&, mozilla::BaseTimeDuration<mozilla::TimeDurationValueCalculator> const&) + 60 (ConditionVariable_posix.cpp:118)
3   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
4   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 13:
0   libsystem_kernel.dylib        	0x00007fffbff0734a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fffbff06797 mach_msg + 55
2   XUL                           	0x00000001037ccb96 MachExceptionHandlerThread(JSContext*) + 406 (WasmSignalHandlers.cpp:996)
3   ???                           	0x0000000000010000 0 + 65536

Thread 14:: Socket Thread
0   libsystem_kernel.dylib        	0x00007fffbff0eeb6 __select + 10
1   libnss3.dylib                 	0x00000001001a6a06 poll + 486 (unix.c:3725)

Thread 15:: Hang Monitor
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 16:: BgHangManager
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 17:: Timer
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3e3 PR_WaitCondVar + 227 (ptsynch.c:264)

Thread 18:: ImgDecoder #1
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 19:: ImgDecoder #2
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 20:: ImgDecoder #3
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 21:: ImageIO
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 22:: ImageBridgeChild
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   XUL                           	0x000000010082b9f8 base::WaitableEvent::TimedWait(base::TimeDelta const&) + 552 (waitable_event_posix.cc:173)

Thread 23:: VideoChild
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 24:: ProcessHangMonitor
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   XUL                           	0x000000010082b9f8 base::WaitableEvent::TimedWait(base::TimeDelta const&) + 552 (waitable_event_posix.cc:173)

Thread 25:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fffbff0734a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fffbff06797 mach_msg + 55
2   com.apple.CoreFoundation      	0x00007fffaa667434 __CFRunLoopServiceMachPort + 212
3   com.apple.CoreFoundation      	0x00007fffaa6668c1 __CFRunLoopRun + 1361
4   com.apple.CoreFoundation      	0x00007fffaa666114 CFRunLoopRunSpecific + 420
5   com.apple.AppKit              	0x00007fffa82adf02 _NSEventThread + 205
6   libsystem_pthread.dylib       	0x00007fffbfff993b _pthread_body + 180
7   libsystem_pthread.dylib       	0x00007fffbfff9887 _pthread_start + 286
8   libsystem_pthread.dylib       	0x00007fffbfff908d thread_start + 13

Thread 26:: StreamTrans #5
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712

Thread 27:
0   libsystem_pthread.dylib       	0x00007fffbfff9070 start_wqthread + 0
1   ???                           	0x3329851c60f800ce 0 + 3686624126911905998

Thread 28:
0   libsystem_pthread.dylib       	0x00007fffbfff9070 start_wqthread + 0
1   libobjc.A.dylib               	0x00007fffbf4ef530 objc_release + 176

Thread 29:: HTML5 Parser
0   libsystem_kernel.dylib        	0x00007fffbff0ebf2 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fffbfffa7fa _pthread_cond_wait + 712
2   libnss3.dylib                 	0x00000001001bc3fd PR_WaitCondVar + 253 (ptsynch.c:396)

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000001  rbx: 0x00007fff5fbfc5a7  rcx: 0x0000000000000013  rdx: 0x0000000102356f30
  rdi: 0x0000000000000000  rsi: 0x0000000000000001  rbp: 0x0000000000000000  rsp: 0x00007fff5fbfc4a8
   r8: 0x000000008f1f6278   r9: 0x0000000000000006  r10: 0x000000008a285810  r11: 0x0000000007464e40
  r12: 0x000000010d2b1e40  r13: 0x00007fff5fbfc4f8  r14: 0x00007fff5fbfc5a7  r15: 0x00000001147c2c00
  rip: 0x00000001010da432  rfl: 0x0000000000010246  cr2: 0x0000000000000019
  
Logical CPU:     2
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x100000000 -        0x100000ff7 +org.mozilla.plugincontainer (1.0) <446A3B8D-8C8C-3947-9696-5BE46A0C90E2> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container
       0x100003000 -        0x100040dc7  dyld (433.5) <322C06B7-8878-311D-888C-C8FD2CA96FF3> /usr/lib/dyld
       0x10008e000 -        0x10008efff +libplugin_child_interpose.dylib (1) <4253F600-25CC-328E-BF1A-6B1F8C6BCCF4> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/libplugin_child_interpose.dylib
       0x100091000 -        0x1002c0fff +libnss3.dylib (1) <3EE47A81-D2AC-3C3D-9077-559870B285AD> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/libnss3.dylib
       0x100380000 -        0x104616fff +XUL (1) <804D8DD7-8F53-376D-B652-A2A2E395ED0A> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/XUL
       0x108192000 -        0x1081b1ff7 +libmozglue.dylib (1) <C73171F9-7ED7-3709-B821-1292F2156BF7> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/libmozglue.dylib
       0x1081c4000 -        0x1081cfff7 +liblgpllibs.dylib (1) <70C95B50-A21E-3347-8C17-5B4B9C602FED> /Users/USER/Downloads/*/Nightly.app/Contents/MacOS/liblgpllibs.dylib
       0x10828e000 -        0x1082b0fff  libKoreanConverter.dylib (69) <B51485DD-33BF-3325-A113-6B667CF9882F> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
       0x1087b9000 -        0x1087d0ffb  libCGInterfaces.dylib (331.5) <17109679-A284-3C72-AA60-DBA815D3062B> /System/Library/Frameworks/Accelerate.framework/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fffa6e0d000 -     0x7fffa6fcefff  com.apple.avfoundation (2.0 - 1187.36) <8C7813BE-B548-33E3-A61E-FF1F1984386A> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fffa6fcf000 -     0x7fffa7071ff7  com.apple.audio.AVFAudio (1.0 - ???) <7997D588-B542-3EBB-B822-D719C1114BB4> /System/Library/Frameworks/AVFoundation.framework/Versions/A/Frameworks/AVFAudio.framework/Versions/A/AVFAudio
    0x7fffa713c000 -     0x7fffa713cfff  com.apple.Accelerate (1.11 - Accelerate 1.11) <916E360F-323C-3AE1-AB3D-D1F3B284AEE9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fffa7155000 -     0x7fffa766efeb  com.apple.vImage (8.1 - ???) <B58A7937-BEE2-38FE-87F4-5D5F40D31DC9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fffa766f000 -     0x7fffa77e0ff3  libBLAS.dylib (1185.50.4) <4087FFE0-627E-3623-96B4-F0A9A1991E09> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fffa77e1000 -     0x7fffa77f5ffb  libBNNS.dylib (15) <254698C7-7D36-3FFF-864E-ADEEEE543076> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fffa77f6000 -     0x7fffa7becfef  libLAPACK.dylib (1185.50.4) <C35FFB2F-A0E6-3903-8A3C-113A74BCBCA2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fffa7bed000 -     0x7fffa7c03fff  libLinearAlgebra.dylib (1185.50.4) <345CAACF-7263-36EF-B69B-793EA8B390AF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fffa7c04000 -     0x7fffa7c0afff  libQuadrature.dylib (3) <EF56C8E6-DE22-3C69-B543-A8648F335FDD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fffa7c0b000 -     0x7fffa7c1fff7  libSparseBLAS.dylib (1185.50.4) <67BA432E-FB59-3C78-A8BE-ED4274CBC359> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fffa7c20000 -     0x7fffa7da7fe7  libvDSP.dylib (600.60.1) <4155F45B-41CD-3782-AE8F-7AE740FD83C3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fffa7da8000 -     0x7fffa7e5afff  libvMisc.dylib (600.60.1) <98F27D2D-E5DD-38EF-8747-0C4DE821A23D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fffa7e5b000 -     0x7fffa7e5bfff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <7C5733E7-0568-3E7D-AF61-160F19FED544> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fffa7e5c000 -     0x7fffa7e99ffb  com.apple.Accounts (113 - 113) <8550BD08-7D05-3AC4-A0CC-B67ECB2DE950> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fffa7e9a000 -     0x7fffa8119ff7  com.apple.AddressBook.framework (10.0 - 1756.20) <EF74B8FF-3AFE-3336-82B0-02792B17406C> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
    0x7fffa811a000 -     0x7fffa8ef3ff3  com.apple.AppKit (6.9 - 1504.83.101) <EC7BD195-F9E1-3E43-820A-5FDD0B2B0B67> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fffa8f05000 -     0x7fffa8f05fff  com.apple.ApplicationServices (48 - 48) <4C71CBA8-47E4-38BF-BE3B-F20DF8667D5D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fffa8f06000 -     0x7fffa8f74ff7  com.apple.ApplicationServices.ATS (377 - 422.2) <A31D17BE-F747-39FB-9A84-5F2F8891204C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fffa900e000 -     0x7fffa913dff7  libFontParser.dylib (194.12) <73C3946D-EF92-3AC1-89C3-0E75B2A85325> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fffa913e000 -     0x7fffa9188fff  libFontRegistry.dylib (196.4) <EA96AE47-3369-3DEA-BB82-98348ADBD85B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fffa9285000 -     0x7fffa932fff7  com.apple.ColorSync (4.12.0 - 502.2) <ACA4001E-A0E3-33F6-9CD6-EEC2AA15E322> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fffa9330000 -     0x7fffa9381fff  com.apple.HIServices (1.22 - 592.1) <7353E76E-9A3A-3693-87AF-41953585E024> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fffa9382000 -     0x7fffa9391ff3  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2CBE7F61-2056-3F96-99A1-0D527796AFA6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fffa9392000 -     0x7fffa93dffff  com.apple.print.framework.PrintCore (12 - 491) <5027FD58-F0EE-33E4-8577-934CA06CD2AF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fffa93e0000 -     0x7fffa941bfff  com.apple.QD (3.12 - 313) <B339C41D-8CDF-3342-8414-F9717DCCADD4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fffa941c000 -     0x7fffa9427fff  com.apple.speech.synthesis.framework (6.6.2 - 6.6.2) <7853EFF4-62B9-394E-B7B8-41A645656820> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fffa9428000 -     0x7fffa9634fff  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <91D2BA22-B168-3A9A-9008-6FFC5A8FDC1E> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fffa9635000 -     0x7fffa9635fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <8C0153FD-FEFF-309C-AACD-BF9657A31F8E> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fffa979e000 -     0x7fffa9b78fff  com.apple.CFNetwork (811.5.4 - 811.5.4) <4DBF8932-6286-3B23-87D9-63615B9958D9> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fffa9b92000 -     0x7fffa9b92fff  com.apple.Carbon (154 - 157) <69F403C7-F0CB-34E6-89B0-235CF4978C17> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fffa9b93000 -     0x7fffa9b96fff  com.apple.CommonPanels (1.2.6 - 98) <BF04BB22-D54C-309E-9F5C-897D969CAF70> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fffa9b97000 -     0x7fffa9ea0fff  com.apple.HIToolbox (2.1.1 - 857.8) <CAB143FE-AEAF-3EDE-AD7B-C04E1B7C5615> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fffa9ea1000 -     0x7fffa9ea4ff7  com.apple.help (1.3.5 - 49) <B1A930E3-5907-3677-BACD-858EF68B172D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fffa9ea5000 -     0x7fffa9eaafff  com.apple.ImageCapture (9.0 - 9.0) <341252B4-E082-361A-B756-6A330259C741> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fffa9eab000 -     0x7fffa9f42ff3  com.apple.ink.framework (10.9 - 219) <1BD40B45-FD33-3177-A935-565EE5FC79D7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fffa9f43000 -     0x7fffa9f5dfff  com.apple.openscripting (1.7 - 172) <31CFBB35-24BD-3E12-9B6B-1FA842FB605B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fffa9f5e000 -     0x7fffa9f5fff3  com.apple.print.framework.Print (12 - 267) <E2F82F1F-DC27-3EF0-9F75-B354F701450A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fffa9f60000 -     0x7fffa9f62ff7  com.apple.securityhi (9.0 - 55006) <DBD65629-535D-3669-8218-7F074D61638C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fffa9f63000 -     0x7fffa9f69ff7  com.apple.speech.recognition.framework (6.0.1 - 6.0.1) <082895DC-3AC7-3DEF-ADCA-5B018C19C9D3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fffa9f6a000 -     0x7fffaa049ffb  com.apple.cloudkit.CloudKit (651.14 - 651.14) <9F901E45-23E3-3F45-B66F-1BAB3AFC4462> /System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fffaa04a000 -     0x7fffaa04afff  com.apple.Cocoa (6.11 - 22) <85EDFBE1-75F0-369E-8CA8-C6A639B98FA6> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fffaa194000 -     0x7fffaa221fff  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <78767F88-91D4-31CE-AAC6-1F9407F479BB> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fffaa222000 -     0x7fffaa235fff  com.apple.CoreBluetooth (1.0 - 1) <BCB78777-76F0-3CC1-8443-9E61AEF7EF63> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fffaa236000 -     0x7fffaa531fff  com.apple.CoreData (120 - 754.2) <4C9CAB2C-60D4-3694-A0A0-5B04B14BD14E> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fffaa532000 -     0x7fffaa5deff7  com.apple.CoreDisplay (1.0 - 1) <AAD5DF0B-0D22-305E-86FF-BB1431130363> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fffaa5df000 -     0x7fffaaa78ff7  com.apple.CoreFoundation (6.9 - 1349.8) <09ED473E-5DE8-307F-B55C-16F6419236D5> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fffaaa79000 -     0x7fffab0fbfff  com.apple.CoreGraphics (2.0 - 1070.22) <78E7C882-837D-3CC3-B221-767B999873CE> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fffab0fc000 -     0x7fffab33fffb  com.apple.CoreImage (12.4.0 - 451.4.9) <BE4303C9-C9D9-361D-AC94-DBE40EB6700E> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fffab340000 -     0x7fffab3a5ff7  com.apple.corelocation (2101.0.63) <B76E6C13-E10B-3F2F-AFD7-DB2C0DEF6579> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fffab3a6000 -     0x7fffab457fff  com.apple.CoreMedia (1.0 - 1907.59.1.5) <6CCDE81A-6992-33ED-A1D9-9D27A4C1E31F> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fffab458000 -     0x7fffab4a3ff7  com.apple.CoreMediaIO (805.0 - 4932) <ACE54DDE-C526-31CA-9755-3938603E3751> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fffab4a4000 -     0x7fffab4a4fff  com.apple.CoreServices (775.19 - 775.19) <7255917D-EFBB-3BE2-A8FD-DAD631BC0949> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fffab4a5000 -     0x7fffab4f6fff  com.apple.AE (712.5 - 712.5) <61F2AE2C-E04E-3FDF-9E88-201325136C83> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fffab4f7000 -     0x7fffab7d2ff7  com.apple.CoreServices.CarbonCore (1159.6 - 1159.6) <08AC074C-965B-3EDF-8E45-0707C8DE9EAD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fffab7d3000 -     0x7fffab806fff  com.apple.DictionaryServices (1.2 - 274) <D23866E2-F7C8-3984-A9D4-96552CCDE573> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fffab807000 -     0x7fffab80fff3  com.apple.CoreServices.FSEvents (1230.50.1 - 1230.50.1) <2AD1B0E5-7214-37C4-8D11-A27C9CAC0F74> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fffab810000 -     0x7fffab97cff7  com.apple.LaunchServices (775.19 - 775.19) <94D15A2A-852C-3B4B-A701-43043C8F1527> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fffab97d000 -     0x7fffaba2dffb  com.apple.Metadata (10.7.0 - 1075.40) <DA911E1B-3977-386D-930D-96BD5085CB8E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fffaba2e000 -     0x7fffaba8dfff  com.apple.CoreServices.OSServices (775.19 - 775.19) <C709A773-4FA0-33DD-B3E2-FBA41E00F177> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fffaba8e000 -     0x7fffabafefff  com.apple.SearchKit (1.4.0 - 1.4.0) <7A6DDA2B-03F1-3137-BA9E-1CC211973E26> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fffabaff000 -     0x7fffabb44ff7  com.apple.coreservices.SharedFileList (38 - 38) <DA096678-93AB-3291-BDE2-482F1D544589> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fffabbcd000 -     0x7fffabd1affb  com.apple.CoreText (352.0 - 544.15) <BF0EE575-BB7E-3BF9-9029-232B4ADC24E4> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fffabd1b000 -     0x7fffabd50ff3  com.apple.CoreVideo (1.8 - 235.3) <AC11D5FB-C77B-34F5-B942-F698E84C229F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fffabd51000 -     0x7fffabdc2ffb  com.apple.framework.CoreWLAN (11.0 - 1200.31) <E47C0568-E37B-3052-9E77-F0F371DCDE7F> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fffabdf5000 -     0x7fffabe00ff3  com.apple.DirectoryService.Framework (10.12 - 194) <45BEA292-4550-3082-8CE7-5D6CE7E0052A> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fffabec0000 -     0x7fffabec5fff  com.apple.DiskArbitration (2.7 - 2.7) <8AC72143-D3C4-3AA6-84DF-734E3AFAC49B> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fffac054000 -     0x7fffac056ff7  com.apple.ExceptionHandling (1.5 - 12) <23464743-95E9-3EA7-868F-FE6DA0B17449> /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
    0x7fffac057000 -     0x7fffac3fdff3  com.apple.Foundation (6.9 - 1349.81) <730B7944-BB43-35D5-A546-9F6CCED4B9F3> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fffac429000 -     0x7fffac45aff7  com.apple.GSS (4.0 - 2.0) <6FADED0B-0425-3567-A75A-040C5A4638EB> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fffac51a000 -     0x7fffac5bdffb  com.apple.Bluetooth (5.0.4 - 5.0.4f18) <B3FED7E7-45EE-32DD-B59E-7942BCE9426C> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fffac5be000 -     0x7fffac654ff7  com.apple.framework.IOKit (2.0.2 - 1324.60.3) <7CE4C98B-107C-3AAA-B49A-F2ACFCBBF526> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fffac655000 -     0x7fffac65bffb  com.apple.IOSurface (159.7 - 159.7) <40550017-EF96-3C52-B400-806AFEE4B134> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fffac65c000 -     0x7fffac6adff7  com.apple.ImageCaptureCore (7.0 - 7.0) <A640CA2F-8093-34AB-947C-26679ECB8A6D> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fffac6ae000 -     0x7fffac80efef  com.apple.ImageIO.framework (3.3.0 - 1599.10.2) <87AA4D39-0AFC-3A34-98EF-02710E2BF3CA> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fffac80f000 -     0x7fffac813fff  libGIF.dylib (1599.10.2) <6ED05614-1301-3452-943B-118F00F20C8D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fffac814000 -     0x7fffac904ff7  libJP2.dylib (1599.10.2) <72C00423-55F0-3CAD-B198-EF00950791E6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fffac905000 -     0x7fffac928ffb  libJPEG.dylib (1599.10.2) <78945614-990F-3705-A91C-46F717F7C635> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fffac929000 -     0x7fffac950ff7  libPng.dylib (1599.10.2) <B800C14F-6E41-36B6-8DC1-1AE97A83A964> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fffac951000 -     0x7fffac953ff3  libRadiance.dylib (1599.10.2) <037D95B4-82A7-3A59-B3EB-0FF0977CF7A5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fffac954000 -     0x7fffac9a2fff  libTIFF.dylib (1599.10.2) <CA2C7BF9-FDDB-36CF-B063-B075B29F8878> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fffacb00000 -     0x7fffad708ff3  com.apple.JavaScriptCore (12603 - 12603.2.4) <FFD37381-05F4-3907-BD31-74CFC3D7868F> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fffad709000 -     0x7fffad722ff7  com.apple.Kerberos (3.0 - 1) <B9D242EB-E325-3A21-9812-C77CBBFB0D51> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fffad723000 -     0x7fffad759fff  com.apple.LDAPFramework (2.4.28 - 194.5) <492ACA22-373E-3DD9-BAEB-9EF6AA962FD5> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fffad9ab000 -     0x7fffad9b1fff  com.apple.MediaAccessibility (1.0 - 97.1.1) <0BD82735-6644-37CE-B13D-8E7CC59A1752> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fffad9c7000 -     0x7fffadf00ff7  com.apple.MediaToolbox (1.0 - 1907.59.1.5) <2024A2A2-50B6-36AA-BC6D-3AAFA78EB707> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fffadf01000 -     0x7fffadf5cfff  com.apple.Metal (87.18 - 87.18) <5C2F12FB-45C1-3103-A827-3D225BF8D05A> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fffae845000 -     0x7fffae84dfff  com.apple.NetFS (6.0 - 4.0) <14A24D00-5673-330A-959D-87F72040DEFF> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fffaea2d000 -     0x7fffaea7bff3  com.apple.opencl (2.8.6 - 2.8.6) <5FAF6F49-2648-39E6-922B-5630A5D7F7E4> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fffaea7c000 -     0x7fffaea95ffb  com.apple.CFOpenDirectory (10.12 - 194) <A64E9A01-3F6E-36EA-9C10-88C564A68C9D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fffaea96000 -     0x7fffaeaa1ff7  com.apple.OpenDirectory (10.12 - 194) <4298FFD0-B1A7-3064-AF5B-708B3FA38671> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fffaeaa2000 -     0x7fffaeaa4fff  libCVMSPluginSupport.dylib (14.0.16) <A20EC348-37C9-33B6-9A81-06006F3214A1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fffaeaa5000 -     0x7fffaeaa8ff7  libCoreFSCache.dylib (156.3) <687C4CC3-6537-344B-8BE1-5234C8CB2864> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fffaeaa9000 -     0x7fffaeaadfff  libCoreVMClient.dylib (156.3) <E7AEFCBE-B6BF-3C7C-9A4E-E78CB04DB794> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fffaeaae000 -     0x7fffaeab7ff7  libGFXShared.dylib (14.0.16) <63542E68-EB1A-3ECF-AAFB-E7B8AB313C70> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fffaeab8000 -     0x7fffaeac3fff  libGL.dylib (14.0.16) <84BEED97-0A93-356D-A922-97EA311EA446> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fffaeac4000 -     0x7fffaeb00ff7  libGLImage.dylib (14.0.16) <3518A85C-6905-3511-A6C9-2F82C519D28F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fffaec78000 -     0x7fffaecb9ff7  libGLU.dylib (14.0.16) <9860DCF7-56E0-3A8F-A377-52635C9D8B27> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fffaf621000 -     0x7fffaf62ffff  com.apple.opengl (14.0.16 - 14.0.16) <27E7D76E-A26B-39F8-8CF2-AB57920776A3> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fffaf6cc000 -     0x7fffaf813fff  com.apple.QTKit (7.7.3 - 2978.7) <49F88771-52FE-3989-AAB7-10A7494C4419> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fffaf814000 -     0x7fffafa7eff7  com.apple.imageKit (3.0 - 1023) <9C547565-CBAA-3ACB-A3F6-1366A0DCDCB4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fffafa7f000 -     0x7fffafb46fff  com.apple.PDFKit (1.0 - 1) <BE82F14C-B20C-3771-B16C-F0723F6552AD> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fffafb47000 -     0x7fffb006dff7  com.apple.QuartzComposer (5.1 - 356) <C66293F6-EF05-3B36-8524-081CEB9FADD7> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fffb006e000 -     0x7fffb0091ffb  com.apple.quartzfilters (1.10.0 - 1.10.0) <365342ED-7A1A-3C75-AE60-90764E96034C> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fffb0092000 -     0x7fffb017ffff  com.apple.QuickLookUIFramework (5.0 - 720.7) <3136C23E-399E-3296-928A-B18EC9FC423C> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fffb0180000 -     0x7fffb0180fff  com.apple.quartzframework (1.5 - 21) <09455972-8A33-3D61-B193-BA7E7CF984CA> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fffb0181000 -     0x7fffb0381fff  com.apple.QuartzCore (1.11 - 453.39.3) <AB46D60D-17A8-3122-800E-2A9DA604FCBA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fffb0382000 -     0x7fffb03d7fff  com.apple.QuickLookFramework (5.0 - 720.7) <3BD7BA2F-924C-3EFF-B26E-3F930E62E6B4> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fffb03d8000 -     0x7fffb03edfff  com.apple.SafariServices.framework (12603 - 12603.2.4) <BD072E0A-9759-341D-9E59-5D869380076B> /System/Library/Frameworks/SafariServices.framework/Versions/A/SafariServices
    0x7fffb08e8000 -     0x7fffb0beaff7  com.apple.security (7.0 - 57740.60.18) <021AACF6-D15F-37E0-840B-88853684BA00> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fffb0beb000 -     0x7fffb0c60fff  com.apple.securityfoundation (6.0 - 55132.50.7) <4433C0CC-FE90-3DD3-BAC1-CC31D515B510> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fffb0c61000 -     0x7fffb0c8afff  com.apple.securityinterface (10.0 - 55079.50.4) <50E3EAA8-1AF0-3910-AAFD-57D93D958DFF> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fffb0c8b000 -     0x7fffb0c8eff3  com.apple.xpc.ServiceManagement (1.0 - 1) <9F285B19-B53B-3502-85A2-72C26DB40EA7> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fffb1015000 -     0x7fffb1084ff7  com.apple.SystemConfiguration (1.14 - 1.14) <2412CDE0-C317-31EA-8F53-7A58BBFCC720> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fffb1085000 -     0x7fffb1433fff  com.apple.VideoToolbox (1.0 - 1907.59.1.5) <75E2F901-572F-3FC8-A599-96A085EEBC88> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fffb38d9000 -     0x7fffb38f4ff3  com.apple.AppContainer (4.0 - 307.50.21) <C2E6BA3D-81FF-39C3-B4BF-DBB9A17DE078> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
    0x7fffb38f5000 -     0x7fffb3902ff3  com.apple.AppSandbox (4.0 - 307.50.21) <BF9FA426-8C11-358B-9E1F-A3901E3F2B14> /System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandbox
    0x7fffb3903000 -     0x7fffb3925ffb  com.apple.framework.Apple80211 (12.0 - 1200.47) <B692048E-1B61-3DAF-9CBA-4D314E7562DC> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fffb3926000 -     0x7fffb3935feb  com.apple.AppleFSCompression (88.50.3 - 1.0) <478E8BFF-8BA2-375E-BE02-BA27F115C15A> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fffb3a29000 -     0x7fffb3ab497f  com.apple.AppleJPEG (1.0 - 1) <B9E9570D-04A4-34E4-B756-D200043B25B8> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fffb3ac8000 -     0x7fffb3ae3fff  com.apple.aps.framework (4.0 - 4.0) <6CA07CDF-1E35-34E9-95BF-BD565FF42BAD> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fffb3ae4000 -     0x7fffb3aecffb  com.apple.AppleSRP (5.0 - 1) <6AAE93B6-9816-35B2-9C59-D5C3218065AF> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fffb3aed000 -     0x7fffb3af0ff3  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <42A1731A-A576-307A-B07C-9F8F64696CB7> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fffb3af1000 -     0x7fffb3b43fff  com.apple.AppleVAFramework (5.0.36 - 5.0.36) <7352078D-C230-397C-81A5-57A48CF218C0> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fffb3b4d000 -     0x7fffb3b54ff7  com.apple.AssetCacheServices (48.3 - 48.3) <C59F7295-36D8-3109-A910-C83D884CC92C> /System/Library/PrivateFrameworks/AssetCacheServices.framework/Versions/A/AssetCacheServices
    0x7fffb3ee7000 -     0x7fffb3f65ff7  com.apple.backup.framework (1.8.5 - 1.8.5) <CC679891-E8F5-3166-8EB6-AEA06954A52D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fffb4601000 -     0x7fffb4628fff  com.apple.CalendarAgentLink (8.0 - 250) <E50E29F6-2BAB-3B8B-BBEA-7DC0B8B077AD> /System/Library/PrivateFrameworks/CalendarAgentLink.framework/Versions/A/CalendarAgentLink
    0x7fffb4bf0000 -     0x7fffb4c17ff3  com.apple.ChunkingLibrary (173 - 173) <FC2165F9-FC93-39C0-8323-C2F43A5E00A3> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fffb4c18000 -     0x7fffb4ca4ff7  com.apple.CloudDocs (1.0 - 486.29) <751554B6-A09E-32A8-A604-9F1B1FD8B84D> /System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fffb553c000 -     0x7fffb5545ffb  com.apple.CommonAuth (4.0 - 2.0) <216950CB-269F-3476-BA17-D6363AC49FBC> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fffb560c000 -     0x7fffb565cffb  com.apple.AddressBook.ContactsFoundation (8.0 - 2250.10) <3097DEAC-ED6B-358E-8E81-8B7011CECA91> /System/Library/PrivateFrameworks/ContactsFoundation.framework/Versions/A/ContactsFoundation
    0x7fffb565d000 -     0x7fffb567ffff  com.apple.contacts.ContactsPersistence (1.0 - 2250.10) <7EC0366F-30A6-3538-8BC9-8CABD55C178D> /System/Library/PrivateFrameworks/ContactsPersistence.framework/Versions/A/ContactsPersistence
    0x7fffb56c9000 -     0x7fffb5aa8ff7  com.apple.CoreAUC (226.0.0 - 226.0.0) <FBF6C5BC-5937-3957-B6BA-E101DF9B0DF6> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fffb5aa9000 -     0x7fffb5ad9fff  com.apple.CoreAVCHD (5.9.0 - 5900.4.1) <3F6857D1-AE7C-3593-B064-930F5BB7269E> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fffb5b74000 -     0x7fffb5b7cffb  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <2AB86FAF-37B3-3323-9EF0-CA591B6E357C> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fffb5c8d000 -     0x7fffb5c9dfff  com.apple.CoreEmoji (1.0 - 40.3.3) <E9A28301-2D79-3A97-A046-028258A6ABE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fffb5d62000 -     0x7fffb5d78ff3  com.apple.CoreMediaAuthoring (2.2 - 956) <AEBFF55F-BF1E-3CA5-AA9C-1CE22218A665> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fffb5d7f000 -     0x7fffb5e0fffb  com.apple.CorePDF (4.0 - 4) <7F50E4A6-940C-33F5-BE4E-7E01AFE98A8F> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fffb5fd8000 -     0x7fffb6008ff3  com.apple.CoreServicesInternal (276.2 - 276.2) <05EB7D45-DD4C-3A0F-AC63-A0C2A68E6481> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fffb6299000 -     0x7fffb6328ff7  com.apple.CoreSymbolication (62046) <7839CD8E-011D-3567-88DE-3D472C661136> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fffb6329000 -     0x7fffb6468fe7  com.apple.coreui (2.1 - 431.3) <2E8FEC10-FC5B-3782-92DA-A85C24B7BF7C> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fffb6469000 -     0x7fffb6539ff3  com.apple.CoreUtils (5.1 - 510.31) <E68BB8ED-8874-36EC-A7C5-1017C0E727CB> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fffb6589000 -     0x7fffb65eeff3  com.apple.framework.CoreWiFi (12.0 - 1200.31) <DF0972EF-F817-3FD3-8C00-2D57B8738D8C> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fffb65ef000 -     0x7fffb65fdff7  com.apple.CrashReporterSupport (10.12 - 827) <14037A71-ECFE-394A-8D6E-2CECE98F02EE> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fffb666f000 -     0x7fffb6679ffb  com.apple.framework.DFRFoundation (1.0 - 104.25) <7CFF896C-EF22-3941-BB3D-F3615CE4C908> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fffb667a000 -     0x7fffb667eff3  com.apple.DSExternalDisplay (3.1 - 380) <A195C0CE-8E4E-384B-9556-8270E306FE1D> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fffb66b4000 -     0x7fffb6729ffb  com.apple.datadetectorscore (7.0 - 539.1) <9C312AAC-8AEE-3C72-BDE5-7FBF62452525> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fffb6765000 -     0x7fffb67a4fff  com.apple.DebugSymbols (137 - 137) <58A70B66-2628-3CFE-B103-2200D95FC5F7> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fffb67a5000 -     0x7fffb68b6fff  com.apple.desktopservices (1.11.5 - 1.11.5) <46A9D4F3-1EF8-373C-98A4-AD48D285E484> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fffb69f9000 -     0x7fffb6a04fff  com.apple.DisplayServicesFW (3.1 - 380) <83BB7C77-F18D-382D-9023-26132D925F75> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fffb6b9e000 -     0x7fffb6fcfff7  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <9391D5A3-738C-3136-9D07-518CB43DBADA> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fffb8326000 -     0x7fffb8326fff  libmetal_timestamp.dylib (600.0.49.9) <E5EED927-1671-3390-BCBB-D76201D63C73> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fffb85f7000 -     0x7fffb8613fff  com.apple.GenerationalStorage (2.0 - 267.1) <3DE1C580-D089-362D-8582-8DE68A3C5F13> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fffb862c000 -     0x7fffb8cdefff  com.apple.GeoServices (1.0 - 1228.24.9.30.34) <96BF97F6-8FF2-3FC4-A8C1-498CB7B0D9A0> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fffb8d24000 -     0x7fffb8d9aff3  com.apple.Heimdal (4.0 - 2.0) <8F9C9041-66D5-36C9-8A4C-1658035C311D> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fffb93b5000 -     0x7fffb93bcffb  com.apple.IOAccelerator (311.13 - 311.13) <40C04C41-A76A-3687-8D64-F76E8C46AA81> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fffb93be000 -     0x7fffb93d2ff7  com.apple.IOPresentment (1.0 - 29.10) <A3F7C1F6-CE50-3804-AAAF-7B75EBC46BE4> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fffb93d3000 -     0x7fffb93f5fff  com.apple.IconServices (74.4 - 74.4) <218DDD05-35F4-3833-B98D-471ED0EBC031> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fffb9491000 -     0x7fffb94a1ff3  com.apple.IntlPreferences (2.0 - 216) <47681AE8-4539-3525-890C-206B301CEC77> /System/Library/PrivateFrameworks/IntlPreferences.framework/Versions/A/IntlPreferences
    0x7fffb94dc000 -     0x7fffb9693fff  com.apple.LanguageModeling (1.0 - 123.2.5) <A8CA965F-0399-310D-91C3-B93DDDE9A442> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fffb978f000 -     0x7fffb9851ff3  com.apple.MMCS (1.3 - 385.4) <D3D76CE0-DE05-373E-B757-9E4B4920565D> /System/Library/PrivateFrameworks/MMCS.framework/Versions/A/MMCS
    0x7fffb9d03000 -     0x7fffb9d06fff  com.apple.Mangrove (1.0 - 1) <98814966-FD65-302B-B47E-00928DC34E5C> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fffb9fb4000 -     0x7fffba02dff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <C323FC94-FFA5-3EE6-B2AC-7E61EA92F304> /System/Library/PrivateFrameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fffba189000 -     0x7fffba196ff3  com.apple.MobileKeyBag (2.0 - 1.0) <F42EB8B1-BA68-3769-98BE-26A18AED902F> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fffba1a7000 -     0x7fffba1cfff7  com.apple.MultitouchSupport.framework (368.16 - 368.16) <512ADEC6-D694-3D73-A48A-6BE79CD39539> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fffba281000 -     0x7fffba28cfff  com.apple.NetAuth (6.2 - 6.2) <97F487D6-8089-31A8-B68C-6C1EAC6ED1B5> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fffba6d9000 -     0x7fffba6dbfff  com.apple.OAuth (25 - 25) <D6E5F36D-71B8-3E12-9601-CE2A1D6ED60B> /System/Library/PrivateFrameworks/OAuth.framework/Versions/A/OAuth
    0x7fffbab64000 -     0x7fffbaba5ff3  com.apple.PerformanceAnalysis (1.148.3 - 148.3) <6A21AB41-3AAA-32F3-9D46-2555A143A8B9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fffbabe8000 -     0x7fffbabefff3  com.apple.phonenumbers (1.1.1 - 105) <B8EFDDD3-BA26-39B8-9EA0-3649184BF527> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
    0x7fffbb252000 -     0x7fffbb28cff7  com.apple.ProtectedCloudStorage (1.0 - 1) <1C6083B7-F020-3634-8F53-CC9E07F27EC5> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fffbb28d000 -     0x7fffbb2a7fff  com.apple.ProtocolBuffer (1 - 249.1) <A1F1B0F3-078F-378F-A9A9-0DEEA70E816A> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fffbb2a8000 -     0x7fffbb2b7ff7  com.apple.QuickLookThumbnailing (1.0 - 1) <173EE873-1700-3FCA-9782-C060FBB5BCAD> /System/Library/PrivateFrameworks/QuickLookThumbnailing.framework/Versions/A/QuickLookThumbnailing
    0x7fffbb2c0000 -     0x7fffbb2e3ff3  com.apple.RemoteViewServices (2.0 - 124) <6B967FDA-6591-302C-BA0A-76C4856E584E> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fffbbfaa000 -     0x7fffbbfadfff  com.apple.SecCodeWrapper (4.0 - 307.50.21) <F8E957B2-D3F0-3B73-B38C-AE8868F00939> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
    0x7fffbc03c000 -     0x7fffbc0c9fff  com.apple.Sharing (696.2.67 - 696.2.67) <F681EE28-153F-3216-97A6-6F5E4148AB2E> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fffbc0ea000 -     0x7fffbc350fef  com.apple.SkyLight (1.600.0 - 170.3) <83AB220F-48C0-3063-8ED3-ACDB69243B4D> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fffbc52f000 -     0x7fffbc53bff7  com.apple.SpeechRecognitionCore (3.3.2 - 3.3.2) <684BD1EA-8268-331C-A5A9-080EB375C658> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fffbcc27000 -     0x7fffbcc9bfdf  com.apple.Symbolication (62048.1) <1A30ED19-7532-3F46-9DD3-9879A973D0CF> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fffbd0da000 -     0x7fffbd0e0ff7  com.apple.TCC (1.0 - 1) <911B534B-4AC7-34E4-935E-E42ECD008CBC> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fffbd16c000 -     0x7fffbd232ff7  com.apple.TextureIO (2.8 - 2.8) <3D61E533-4156-3B21-B7ED-CB823E680DFC> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fffbd27b000 -     0x7fffbd290ff3  com.apple.ToneKit (1.0 - 1) <B709293D-0A79-398A-8AA9-50F6340C227C> /System/Library/PrivateFrameworks/ToneKit.framework/Versions/A/ToneKit
    0x7fffbd291000 -     0x7fffbd29fffb  com.apple.ToneLibrary (1.0 - 1) <F2ED5DFC-5F11-3012-BCD7-17753413141F> /System/Library/PrivateFrameworks/ToneLibrary.framework/Versions/A/ToneLibrary
    0x7fffbd2a8000 -     0x7fffbd438ff3  com.apple.UIFoundation (1.0 - 490.7) <2A3063FE-1790-3510-8A0E-AEC581D42B7E> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fffbdf07000 -     0x7fffbdfc7fff  com.apple.ViewBridge (283 - 283) <25A635B3-C87C-3D3A-ADF3-539713FA1048> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fffbe412000 -     0x7fffbe418fff  com.apple.XPCService (2.0 - 1) <4B28B225-2105-33F4-9ED0-F04288FF4FB1> /System/Library/PrivateFrameworks/XPCService.framework/Versions/A/XPCService
    0x7fffbe4e9000 -     0x7fffbe4ebffb  com.apple.loginsupport (1.0 - 1) <F3140B97-12C3-35A7-9D3D-43DA2D13C113> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fffbe517000 -     0x7fffbe53eff7  com.apple.contacts.vCard (1.0 - 2250.10) <19E37E68-E945-3534-8658-87AA411D0AD4> /System/Library/PrivateFrameworks/vCard.framework/Versions/A/vCard
    0x7fffbe540000 -     0x7fffbe55bff7  libCRFSuite.dylib (34) <F78B7F5F-0B4F-35C6-AA2F-84EE9CB22137> /usr/lib/libCRFSuite.dylib
    0x7fffbe55c000 -     0x7fffbe567fff  libChineseTokenizer.dylib (21) <0886E908-A825-36AF-B94B-2361FD8BC2A1> /usr/lib/libChineseTokenizer.dylib
    0x7fffbe5f9000 -     0x7fffbe5faff3  libDiagnosticMessagesClient.dylib (102) <84A04D24-0E60-3810-A8C0-90A65E2DF61A> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fffbe5fb000 -     0x7fffbe80efff  libFosl_dynamic.dylib (16.39) <E22A4243-D148-3C74-BA15-2D906A3D1F9E> /usr/lib/libFosl_dynamic.dylib
    0x7fffbe82a000 -     0x7fffbe831fff  libMatch.1.dylib (27) <70D4BD2A-9383-37F2-B0D6-9B592D236601> /usr/lib/libMatch.1.dylib
    0x7fffbe832000 -     0x7fffbe832fff  libOpenScriptingUtil.dylib (172) <90743888-C1E8-34E3-924E-1A754B2B63B9> /usr/lib/libOpenScriptingUtil.dylib
    0x7fffbe833000 -     0x7fffbe837ffb  libScreenReader.dylib (477.40.6) <CBE6420C-EF60-3ACD-A0B6-7CBE936BA3B8> /usr/lib/libScreenReader.dylib
    0x7fffbe838000 -     0x7fffbe839ffb  libSystem.B.dylib (1238.60.2) <FC9E9F13-3B18-305C-BE0A-97C7843652B0> /usr/lib/libSystem.B.dylib
    0x7fffbe8a5000 -     0x7fffbe8d0ff3  libarchive.2.dylib (41.50.2) <B4F507BC-B24E-3BE7-B658-94D798E2CD81> /usr/lib/libarchive.2.dylib
    0x7fffbe8d1000 -     0x7fffbe94dfc7  libate.dylib (1.12.13) <D0767875-D02E-3377-84D8-5F174C27BEA9> /usr/lib/libate.dylib
    0x7fffbe951000 -     0x7fffbe951ff3  libauto.dylib (187) <34388D0B-C539-3C1B-9408-2BC152162E43> /usr/lib/libauto.dylib
    0x7fffbe952000 -     0x7fffbe962ff3  libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fffbe963000 -     0x7fffbe971ff7  libbz2.1.0.dylib (38) <ADFA329A-DCE7-356D-8F09-A3168DFC6610> /usr/lib/libbz2.1.0.dylib
    0x7fffbe972000 -     0x7fffbe9c8ff7  libc++.1.dylib (307.5) <0B43BB5D-E6EB-3464-8DE9-B41AC8ED9D1C> /usr/lib/libc++.1.dylib
    0x7fffbe9c9000 -     0x7fffbe9f3fff  libc++abi.dylib (307.3) <30199352-88BF-30BD-8CFF-2A4FBE247523> /usr/lib/libc++abi.dylib
    0x7fffbe9f4000 -     0x7fffbea04ffb  libcmph.dylib (6) <2B5D405E-2D0B-3320-ABD6-622934C86ABE> /usr/lib/libcmph.dylib
    0x7fffbea05000 -     0x7fffbea1bfcf  libcompression.dylib (39) <F2726F95-F54E-3B21-BCB5-F7151DEFDC2F> /usr/lib/libcompression.dylib
    0x7fffbea1c000 -     0x7fffbea1cff7  libcoretls.dylib (121.50.4) <64B1001E-10F6-3542-A3B2-C4B49F51817F> /usr/lib/libcoretls.dylib
    0x7fffbea1d000 -     0x7fffbea1eff3  libcoretls_cfhelpers.dylib (121.50.4) <1A10303E-5EB0-3C7C-9165-021FCDFD934D> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fffbed5b000 -     0x7fffbedaeff7  libcups.2.dylib (450) <9950BFCB-7882-33C9-9ECF-CE66773C5657> /usr/lib/libcups.2.dylib
    0x7fffbee00000 -     0x7fffbee07ff3  libdscsym.dylib (148.3) <63492BDA-33A8-31DE-90E8-A3D44F07EB9C> /usr/lib/libdscsym.dylib
    0x7fffbee29000 -     0x7fffbee29fff  libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fffbee39000 -     0x7fffbee3eff7  libheimdal-asn1.dylib (498.50.8) <A40E3196-235E-34CE-AD9A-8D1AFC5DE004> /usr/lib/libheimdal-asn1.dylib
    0x7fffbee3f000 -     0x7fffbef31ff7  libiconv.2.dylib (50) <42125B35-81D7-3FC4-9475-A26DBE10884D> /usr/lib/libiconv.2.dylib
    0x7fffbef32000 -     0x7fffbf157ffb  libicucore.A.dylib (57165.0.1) <2931B842-2946-3576-AD1D-1CDA22FA1388> /usr/lib/libicucore.A.dylib
    0x7fffbf15d000 -     0x7fffbf15efff  liblangid.dylib (126) <2085E7A7-9A34-3735-87F4-F174EF8EABF0> /usr/lib/liblangid.dylib
    0x7fffbf15f000 -     0x7fffbf178ffb  liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fffbf179000 -     0x7fffbf18fff7  libmarisa.dylib (5) <9030D214-5D0F-30CB-AC03-902C63909362> /usr/lib/libmarisa.dylib
    0x7fffbf190000 -     0x7fffbf438ff7  libmecabra.dylib (744.8) <D429FCC9-42A4-38B3-8784-44024BC859EF> /usr/lib/libmecabra.dylib
    0x7fffbf46b000 -     0x7fffbf4e5ff3  libnetwork.dylib (856.60.1) <191E99F5-4723-3180-8013-02AF2F9AE4B8> /usr/lib/libnetwork.dylib
    0x7fffbf4e6000 -     0x7fffbf8b8047  libobjc.A.dylib (709) <DC77AA6E-A4E4-326D-8D7F-82D63AA88F99> /usr/lib/libobjc.A.dylib
    0x7fffbf8bb000 -     0x7fffbf8bffff  libpam.2.dylib (21.30.1) <71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
    0x7fffbf8c0000 -     0x7fffbf8f1fff  libpcap.A.dylib (67.60.1) <F6BC6ED6-AEE4-3520-B248-0C342636E2B0> /usr/lib/libpcap.A.dylib
    0x7fffbf90e000 -     0x7fffbf92affb  libresolv.9.dylib (64) <A244AE4C-00B0-396C-98FF-97FE4DB3DA30> /usr/lib/libresolv.9.dylib
    0x7fffbf92b000 -     0x7fffbf964fff  libsandbox.1.dylib (592.60.1) <B3A1C3BD-084C-389B-9AFD-4BCFDBE9B5B6> /usr/lib/libsandbox.1.dylib
    0x7fffbf965000 -     0x7fffbf977ffb  libsasl2.2.dylib (209) <32107C59-22C6-3049-B86E-9C2F85FF549B> /usr/lib/libsasl2.2.dylib
    0x7fffbf978000 -     0x7fffbf979ff3  libspindump.dylib (231.3) <C7CEEB64-06F4-3ACA-AAC1-30ECA909501A> /usr/lib/libspindump.dylib
    0x7fffbf97a000 -     0x7fffbfac7ff7  libsqlite3.dylib (254.7) <07CD6DE3-394D-3C6A-A4B4-4CAB1054A041> /usr/lib/libsqlite3.dylib
    0x7fffbfbbc000 -     0x7fffbfbc9fff  libxar.1.dylib (357) <69547C64-E811-326F-BBED-490C6361BDCB> /usr/lib/libxar.1.dylib
    0x7fffbfbca000 -     0x7fffbfcb9ffb  libxml2.2.dylib (30.16) <D2A6861B-D9FA-3BFC-B664-830C3FCE6065> /usr/lib/libxml2.2.dylib
    0x7fffbfcba000 -     0x7fffbfce3fff  libxslt.1.dylib (15.9) <00735AD5-B62D-3E83-86AC-5533E4E2B102> /usr/lib/libxslt.1.dylib
    0x7fffbfce4000 -     0x7fffbfcf5ff3  libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fffbfd04000 -     0x7fffbfd08ff7  libcache.dylib (79) <093A4DAB-8385-3D47-A350-E20CB7CCF7BF> /usr/lib/system/libcache.dylib
    0x7fffbfd09000 -     0x7fffbfd13fff  libcommonCrypto.dylib (60092.50.5) <8A64D1B0-C70E-385C-92F0-E669079FDA90> /usr/lib/system/libcommonCrypto.dylib
    0x7fffbfd14000 -     0x7fffbfd1bfff  libcompiler_rt.dylib (62) <55D47421-772A-32AB-B529-1A46C2F43B4D> /usr/lib/system/libcompiler_rt.dylib
    0x7fffbfd1c000 -     0x7fffbfd24fff  libcopyfile.dylib (138) <819BEA3C-DF11-3E3D-A1A1-5A51C5BF1961> /usr/lib/system/libcopyfile.dylib
    0x7fffbfd25000 -     0x7fffbfda8fdf  libcorecrypto.dylib (442.50.19) <65D7165E-2E71-335D-A2D6-33F78E2DF0C1> /usr/lib/system/libcorecrypto.dylib
    0x7fffbfda9000 -     0x7fffbfddafff  libdispatch.dylib (703.50.37) <6582BAD6-ED27-3B30-B620-90B1C5A4AE3C> /usr/lib/system/libdispatch.dylib
    0x7fffbfddb000 -     0x7fffbfde0ffb  libdyld.dylib (433.5) <EC3D88D2-3D40-3274-8E26-362C2D7352C8> /usr/lib/system/libdyld.dylib
    0x7fffbfde1000 -     0x7fffbfde1ffb  libkeymgr.dylib (28) <7AA011A9-DC21-3488-BF73-3B5B14D1FDD6> /usr/lib/system/libkeymgr.dylib
    0x7fffbfde2000 -     0x7fffbfdeeffb  libkxld.dylib (3789.60.24) <5DFCDC05-6CBC-35A6-8B92-DF6803492E12> /usr/lib/system/libkxld.dylib
    0x7fffbfdef000 -     0x7fffbfdeffff  liblaunch.dylib (972.60.2) <D3306CFF-58AA-3C90-B06C-B70E80E60C5B> /usr/lib/system/liblaunch.dylib
    0x7fffbfdf0000 -     0x7fffbfdf5ff3  libmacho.dylib (898) <17D5D855-F6C3-3B04-B680-E9BF02EF8AED> /usr/lib/system/libmacho.dylib
    0x7fffbfdf6000 -     0x7fffbfdf8ff3  libquarantine.dylib (85.50.1) <12448CC2-378E-35F3-BE33-9DC395A5B970> /usr/lib/system/libquarantine.dylib
    0x7fffbfdf9000 -     0x7fffbfdfaffb  libremovefile.dylib (45) <38D4CB9C-10CD-30D3-8B7B-A515EC75FE85> /usr/lib/system/libremovefile.dylib
    0x7fffbfdfb000 -     0x7fffbfe13ff7  libsystem_asl.dylib (349.50.5) <096E4228-3B7C-30A6-8B13-EC909A64499A> /usr/lib/system/libsystem_asl.dylib
    0x7fffbfe14000 -     0x7fffbfe14ff7  libsystem_blocks.dylib (67) <10DC5404-73AB-35B3-A277-A8AFECB476EB> /usr/lib/system/libsystem_blocks.dylib
    0x7fffbfe15000 -     0x7fffbfea2fef  libsystem_c.dylib (1158.50.2) <E5AE5244-7D0C-36AC-8BB6-C7AE7EA52A4B> /usr/lib/system/libsystem_c.dylib
    0x7fffbfea3000 -     0x7fffbfea6ffb  libsystem_configuration.dylib (888.60.2) <BECC01A2-CA8D-31E6-BCDF-D452965FA976> /usr/lib/system/libsystem_configuration.dylib
    0x7fffbfea7000 -     0x7fffbfeaafff  libsystem_coreservices.dylib (41.4) <7D26DE79-B424-3450-85E1-F7FAB32714AB> /usr/lib/system/libsystem_coreservices.dylib
    0x7fffbfeab000 -     0x7fffbfec3fff  libsystem_coretls.dylib (121.50.4) <EC6FCF07-DCFB-3A03-9CC9-6DD3709974C6> /usr/lib/system/libsystem_coretls.dylib
    0x7fffbfec4000 -     0x7fffbfecafff  libsystem_dnssd.dylib (765.50.9) <CC960215-0B1B-3822-A13A-3DDE96FA796F> /usr/lib/system/libsystem_dnssd.dylib
    0x7fffbfecb000 -     0x7fffbfef4ff7  libsystem_info.dylib (503.50.4) <611DB84C-BF70-3F92-8702-B9F28A900920> /usr/lib/system/libsystem_info.dylib
    0x7fffbfef5000 -     0x7fffbff17ff7  libsystem_kernel.dylib (3789.60.24) <6E9E485F-91F6-36B7-A125-AE91DC978BCC> /usr/lib/system/libsystem_kernel.dylib
    0x7fffbff18000 -     0x7fffbff5ffe7  libsystem_m.dylib (3121.6) <86D499B5-BBDC-3D3B-8A4E-97AE8E6672A4> /usr/lib/system/libsystem_m.dylib
    0x7fffbff60000 -     0x7fffbff7eff7  libsystem_malloc.dylib (116.50.8) <A3D15F17-99A6-3367-8C7E-4280E8619C95> /usr/lib/system/libsystem_malloc.dylib
    0x7fffbff7f000 -     0x7fffbffd8ffb  libsystem_network.dylib (856.60.1) <369D0221-56CA-3C3E-9EDE-94B41CAE77B7> /usr/lib/system/libsystem_network.dylib
    0x7fffbffd9000 -     0x7fffbffe2ff3  libsystem_networkextension.dylib (563.60.2) <B021F2B3-8A75-3633-ABB0-FC012B8E9B0C> /usr/lib/system/libsystem_networkextension.dylib
    0x7fffbffe3000 -     0x7fffbffecff3  libsystem_notify.dylib (165.20.1) <B8160190-A069-3B3A-BDF6-2AA408221FAE> /usr/lib/system/libsystem_notify.dylib
    0x7fffbffed000 -     0x7fffbfff5fe7  libsystem_platform.dylib (126.50.8) <897462FD-B318-321B-A554-E61982630F7E> /usr/lib/system/libsystem_platform.dylib
    0x7fffbfff6000 -     0x7fffc0000ff7  libsystem_pthread.dylib (218.60.3) <B8FB5E20-3295-39E2-B5EB-B464D1D4B104> /usr/lib/system/libsystem_pthread.dylib
    0x7fffc0001000 -     0x7fffc0004ff7  libsystem_sandbox.dylib (592.60.1) <DC780631-BD23-36B1-9376-668619E18D25> /usr/lib/system/libsystem_sandbox.dylib
    0x7fffc0005000 -     0x7fffc0006ff3  libsystem_secinit.dylib (24.50.4) <F78B847B-3565-3E4B-98A6-F7AD40392E2D> /usr/lib/system/libsystem_secinit.dylib
    0x7fffc0007000 -     0x7fffc000effb  libsystem_symptoms.dylib (532.50.47) <3390E07C-C1CE-348F-ADBD-2C5440B45EAA> /usr/lib/system/libsystem_symptoms.dylib
    0x7fffc000f000 -     0x7fffc0022ff7  libsystem_trace.dylib (518.60.2) <6B145B10-5874-3E89-90CD-D370DB475BA1> /usr/lib/system/libsystem_trace.dylib
    0x7fffc0023000 -     0x7fffc0028ffb  libunwind.dylib (35.3) <3D50D8A8-C460-334D-A519-2DA841102C6B> /usr/lib/system/libunwind.dylib
    0x7fffc0029000 -     0x7fffc0052ff7  libxpc.dylib (972.60.2) <1C9AF716-69DF-359F-85E9-7DFDE362F9A2> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 18116
    thread_create: 0
    thread_set_state: 120

VM Region Summary:
ReadOnly portion of Libraries: Total=418.2M resident=0K(0%) swapped_out_or_unallocated=418.2M(100%)
Writable regions: Total=142.0M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=142.0M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        2 
CoreUI image file                  176K        4 
Dispatch continuations            8192K        2 
Kernel Alloc Once                    8K        2 
MALLOC                            30.5M       22 
MALLOC guard page                   48K       10 
Mach message                         4K        2 
Memory Tag 242                      12K        2 
STACK GUARD                       56.1M       31 
Stack                             34.7M       31 
VM_ALLOCATE                        1.1G       29 
VM_ALLOCATE (reserved)              20K        2         reserved VM address space (unallocated)
__DATA                            34.3M      271 
__IMAGE                            528K        2 
__LINKEDIT                       169.4M       11 
__TEXT                           248.8M      273 
__UNICODE                          556K        2 
mapped file                      698.9M       31 
shared memory                     16.4M       11 
===========                     =======  ======= 
TOTAL                              2.3G      721 
TOTAL, minus reserved VM space     2.3G      721 




Actual results:

crash
I can't reproduce the crash on Win 7 with FF53/55. Does it crash only on Mac OSX?

If yes, do you have some crash reports in the page about:crashes?
Flags: needinfo?(sjh21a)
I tested Win10/FF 53.0.2 32bit

here is windbg log.

0:000:x86> r
eax=00000000 ebx=00000000 ecx=00000000 edx=00000200 esi=0c7c3e70 edi=0b102d90
eip=6399020d esp=00efe7dc ebp=00efe7e8 iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00210246
xul!nsINode::IsEditableInternal+0x7 [inlined in xul!nsINode::IsEditableInternal+0x7]:
6399020d 85500c          test    dword ptr [eax+0Ch],edx ds:002b:0000000c=????????
0:000:x86> kb
ChildEBP RetAddr  Args to Child              
(Inline) -------- -------- -------- -------- xul!nsINode::IsEditableInternal+0x7 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nswrappercache.h @ 210]
00efe7d8 64974560 00efe897 00000000 00efe7fc xul!nsINode::IsEditableInternal+0x7 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsinode.cpp @ 207]
(Inline) -------- -------- -------- -------- xul!mozilla::HTMLEditor::GetIsSelectionEditable+0x3d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsinode.h @ 1166]
00efe7e8 649a1e14 0c7c3e70 00efe897 00000000 xul!mozilla::HTMLEditor::GetIsSelectionEditable+0x3d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\editor\libeditor\htmleditor.cpp @ 3339]
00efe7fc 63a45790 1bb34850 0b102810 0db91c00 xul!nsHighlightColorStateCommand::IsCommandEnabled+0x1f [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\editor\composer\nscomposercommands.cpp @ 78]
00efe81c 63a45730 0d5fb370 0b102810 0db91c00 xul!nsControllerCommandTable::IsCommandEnabled+0x3f [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\commandhandler\nscontrollercommandtable.cpp @ 98]
00efe844 642b659b 0db91c00 0b102810 00efe897 xul!nsBaseCommandController::IsCommandEnabled+0x5a [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\commandhandler\nsbasecommandcontroller.cpp @ 105]
00efe88c 642b6464 00102d90 00efe8ac 00efe8f0 xul!nsWindowRoot::GetEnabledDisabledCommandsForControllers+0xaa [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nswindowroot.cpp @ 329]
00efe8d0 64243b6b 00efe8f0 00efe8fc 0b2672a0 xul!nsWindowRoot::GetEnabledDisabledCommands+0x4c [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nswindowroot.cpp @ 358]
00efe8f4 63596a4b 65a0ae7c 0b2672a0 0b2672a0 xul!ChildCommandDispatcher::Run+0x3f [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsglobalwindow.cpp @ 9542]
00efe90c 635969db 00000000 0d53e810 63c60045 xul!nsContentUtils::AddScriptRunner+0x6d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nscontentutils.cpp @ 5297]
00efe918 63c60045 0d53e810 0b231e40 00000000 xul!nsContentUtils::AddScriptRunner+0x17 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nscontentutils.cpp @ 5304]
00efe934 63651ec5 00efe974 00000000 00000000 xul!nsGlobalWindow::UpdateCommands+0x60e6b0 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsglobalwindow.cpp @ 9577]
00efe9f0 638e4cb0 0d53e810 00000000 00000000 xul!nsFocusManager::Focus+0x237 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsfocusmanager.cpp @ 1974]
00efea34 638e4bf1 00000000 0d53e810 0d53e810 xul!nsFocusManager::WindowShown+0xbd [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsfocusmanager.cpp @ 910]
00efea4c 638e4bbf 0d53e810 00efeb00 638e4ab7 xul!nsGlobalWindow::SetReadyForFocus+0x4d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsglobalwindow.cpp @ 10316]
00efea58 638e4ab7 15434f50 638e6596 0d53e400 xul!nsGlobalWindow::SetReadyForFocus+0x1b [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsglobalwindow.cpp @ 10318]
00efea60 638e6596 0d53e400 00efeb78 00000000 xul!mozilla::PresShell::UnsuppressAndInvalidate+0x5c [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\layout\base\presshell.cpp @ 3858]
00efeb00 6376f2d3 15434f50 00000000 0d53e400 xul!nsDocumentViewer::LoadComplete+0x10c [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\layout\base\nsdocumentviewer.cpp @ 1060]
00efee68 6372f087 0d53e414 06635844 00000000 xul!nsDocShell::EndPageLoad+0xff [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\docshell\base\nsdocshell.cpp @ 7604]
00efef10 6372fcc6 0d53e518 0d53e414 06635844 xul!nsDocShell::OnStateChange+0xb6 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\docshell\base\nsdocshell.cpp @ 7407]
00efef58 6372e504 0d53e414 06635844 00efefb4 xul!nsDocLoader::DoFireOnStateChange+0xbd [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\uriloader\base\nsdocloader.cpp @ 1255]
00efefc0 63655107 06635844 00000000 0c5fcbc0 xul!nsDocLoader::doStopDocumentLoad+0x8d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\uriloader\base\nsdocloader.cpp @ 840]
00efeff8 63775573 00000001 659a525c 14d6bea8 xul!nsDocLoader::DocLoaderIsEmpty+0x1b3 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\uriloader\base\nsdocloader.cpp @ 732]
00eff080 6377628c 0d53e404 14d6bea8 00000000 xul!nsDocLoader::OnStopRequest+0x12b [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\uriloader\base\nsdocloader.cpp @ 612]
00eff130 63a7cf7b 0d59e7c0 14d6bea8 00000000 xul!mozilla::net::nsLoadGroup::RemoveRequest+0x11b [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\netwerk\base\nsloadgroup.cpp @ 633]
00eff158 6359b06b 00000000 0d53e4f8 0db38000 xul!nsDocument::DoUnblockOnload+0x48 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsdocument.cpp @ 8715]
00eff17c 6387c82d 00000001 06602200 0c7f4164 xul!nsDocument::UnblockOnload+0xef [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsdocument.cpp @ 8642]
00eff1d4 635963cf 00eff24c 635cba30 0c7769c0 xul!nsDocument::DispatchContentLoadedEvents+0x143 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\dom\base\nsdocument.cpp @ 5162]
(Inline) -------- -------- -------- -------- xul!mozilla::detail::RunnableMethodArguments<>::applyImpl+0x4 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\obj-firefox\dist\include\nsthreadutils.h @ 825]
(Inline) -------- -------- -------- -------- xul!mozilla::detail::RunnableMethodArguments<>::apply+0x4 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\obj-firefox\dist\include\nsthreadutils.h @ 831]
00eff1dc 635cba30 0c7769c0 06604ec0 06604eb0 xul!mozilla::detail::RunnableMethodImpl<nsIDocument * const,void (__thiscall nsIDocument::*)(void),1,0>::Run+0x17 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\obj-firefox\dist\include\nsthreadutils.h @ 862]
00eff24c 63584ada 06602200 00000000 00eff27f xul!nsThread::ProcessNextEvent+0x14d [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\xpcom\threads\nsthread.cpp @ 1246]
(Inline) -------- -------- -------- -------- xul!mozilla::ipc::MessagePump::Run+0x72 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\xpcom\glue\nsthreadutils.cpp @ 390]
00eff280 63f9bb24 00eff410 00eff410 00000001 xul!mozilla::ipc::MessagePump::Run+0x72 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\glue\messagepump.cpp @ 96]
00eff29c 6367792a 00eff410 77e05773 0c7f4160 xul!mozilla::ipc::MessagePumpForChildProcess::Run+0x58 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\glue\messagepump.cpp @ 301]
(Inline) -------- -------- -------- -------- xul!MessageLoop::RunInternal+0x8 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 238]
00eff2d4 636778f9 06602200 00000002 0c7f4100 xul!MessageLoop::RunHandler+0x20 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 232]
00eff2f4 638c614e 06604eb0 00eff410 00eff314 xul!MessageLoop::Run+0x19 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 212]
00eff304 638c5edd 0c7f4160 06604eb0 00eff328 xul!nsBaseAppShell::Run+0x34 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\widget\nsbaseappshell.cpp @ 158]
00eff314 64cf7d78 0c7f4160 06604eb0 0c7f4160 xul!nsAppShell::Run+0x26 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\widget\windows\nsappshell.cpp @ 262]
00eff328 63f9bae2 00eff410 06604eb0 00eff370 xul!XRE_RunAppShell+0x26 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\toolkit\xre\nsembedfunctions.cpp @ 924]
00eff338 6367792a 00eff410 77e056d7 00000000 xul!mozilla::ipc::MessagePumpForChildProcess::Run+0x16 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\glue\messagepump.cpp @ 278]
(Inline) -------- -------- -------- -------- xul!MessageLoop::RunInternal+0x8 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 238]
00eff370 636778f9 06631000 00000001 652ceb00 xul!MessageLoop::RunHandler+0x20 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 232]
00eff390 64cf7c16 0660d0f8 0000000b 06601040 xul!MessageLoop::Run+0x19 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\chromium\src\base\message_loop.cc @ 212]
00eff4dc 64cfac84 00eff508 00eff514 009d97b1 xul!XRE_InitChildProcess+0x58c [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\toolkit\xre\nsembedfunctions.cpp @ 760]
00eff4e8 009d97b1 0000000b 06601040 00eff508 xul!mozilla::BootstrapImpl::XRE_InitChildProcess+0x11 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\toolkit\xre\bootstrap.cpp @ 65]
00eff514 009d7023 06601040 76396304 76396314 firefox!content_process_main+0x7a [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\ipc\contentproc\plugin-container.cpp @ 115]
(Inline) -------- -------- -------- -------- firefox!NS_internal_main+0x4ce1 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\browser\app\nsbrowserapp.cpp @ 284]
00eff8a0 009d587b 0000000c ffd1bd00 06324f30 firefox!wmain+0x4e53 [c:\builds\moz2_slave\m-rel-w32-00000000000000000000\build\src\toolkit\xre\nswindowswmain.cpp @ 115]
(Inline) -------- -------- -------- -------- firefox!invoke_main+0x1d [f:\dd\vctools\crt\vcstartup\src\startup\exe_common.inl @ 79]
00eff8e8 767362c4 00ceb000 767362a0 0f27ff0d firefox!__scrt_common_main_seh+0xf9 [f:\dd\vctools\crt\vcstartup\src\startup\exe_common.inl @ 253]
00eff8fc 771d0fd9 00ceb000 aa91583a 00000000 KERNEL32!BaseThreadInitThunk+0x24
00eff944 771d0fa4 ffffffff 771f2edc 00000000 ntdll_77170000!__RtlUserThreadStart+0x2f
00eff954 00000000 009d58f1 00ceb000 00000000 ntdll_77170000!_RtlUserThreadStart+0x1b
Flags: needinfo?(sjh21a)
Severity: normal → critical
Component: Untriaged → DOM
Keywords: crash
Product: Firefox → Core
Attached file new_ff_crash.html
first time, I upload to wrong crash file. 

this is correct crash file. (without alert)

thx :)
Attachment #8869334 - Attachment is obsolete: true
Regression range:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=5de3af90c494&tochange=0cefb584fd1a

I think it's due to Bug 1129078.

CR FF55:
https://crash-stats.mozilla.com/report/index/f0cb255f-8494-40c1-9c9a-69ffc0170519

Mats, could you check this crash when you have some time.
Blocks: 1129078
Status: UNCONFIRMED → NEW
Has Regression Range: --- → yes
Has STR: --- → yes
Component: DOM → Selection
Ever confirmed: true
Flags: needinfo?(mats)
Keywords: testcase
Version: 53 Branch → 38 Branch
http://searchfox.org/mozilla-central/rev/02cae69058d41e2c6b635edccbec91a6ca2cb57f/editor/libeditor/HTMLEditor.cpp#3353-3354
The selection has a range, but selection->GetAnchorNode() returns null.
The reason for that happens earlier when Selection::SetAnchorFocusToRange is called.
http://searchfox.org/mozilla-central/rev/02cae69058d41e2c6b635edccbec91a6ca2cb57f/layout/generic/nsSelection.cpp#5456
In this case the selection has two ranges, we remove the current mAnchorFocusRange
and add aRange instead.  The problem is that AddItem returns aOutIndex=-1 so
setAnchorFocusToRange (the one that starts with a lower-case s!) nulls out mAnchorFocusRange:
http://searchfox.org/mozilla-central/rev/02cae69058d41e2c6b635edccbec91a6ca2cb57f/layout/generic/nsSelection.cpp#3647
which is what makes GetAnchorNode() return null later.
I think the bug here is that AddItem must always return aOutIndex>=0 if there
is a range in the selection.
Assignee: nobody → mats
Flags: needinfo?(mats)
OS: Unspecified → All
Hardware: Unspecified → All
Attachment #8869658 - Flags: review?(bugs) → review+
Pushed by mpalmgren@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/9ddc1f41c008
part 1 - Initialize aOutIndex to the last range in the Selection as a fallback in case we don't add a range later in AddItem.  r=smaug
https://hg.mozilla.org/integration/mozilla-inbound/rev/68cc11b0c3f5
part 2 - Crashtest.
Flags: in-testsuite+
https://hg.mozilla.org/mozilla-central/rev/9ddc1f41c008
https://hg.mozilla.org/mozilla-central/rev/68cc11b0c3f5
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
Setting esr52 affected based on regressing bug.

Please request uplift on this when you get a chance.
Flags: needinfo?(mats)
I doubt this crash will occur during normal use of the browser and it's
a null-pointer crash so it doesn't seem worth uplifting to me.
Flags: needinfo?(mats)
We have bug 1289739 filed for crashes in nsINode::IsEditableInternal and some of the crash reports in the last week:

https://crash-stats.mozilla.com/search/?signature=~IsEditableInternal&date=%3E%3D2017-05-17T14%3A14%3A00.000Z&date=%3C2017-05-24T14%3A14%3A00.000Z&_sort=-date&_facets=signature&_columns=date&_columns=signature&_columns=product&_columns=version&_columns=build_id&_columns=platform#facet-signature

do look like the crash stack from comment 2, so it looks like people are indeed hitting it during normal usage...

Happy to mark this wontfix for 54, but would like to know if the above changes your mind any?
Flags: needinfo?(mats)
Well, it's hard to say what root cause is for those crashes - it might be
something entirely different.  Anyway, I don't mind if you uplift it or not
since it's a trivial patch with no risk.
Flags: needinfo?(mats)
Comment on attachment 8869658 [details] [diff] [review]
part 1 - Initialize aOutIndex to the last range in the Selection as a fallback in case we don't add a range later in AddItem

Approval Request Comment
[Feature/Bug causing the regression]:1129078
[User impact if declined]:crash
[Is this code covered by automated tests?]:yes
[Has the fix been verified in Nightly?]:no
[Needs manual test from QE? If yes, steps to reproduce]: no
[List of other uplifts needed for the feature/fix]:no
[Is the change risky?]:no
[Why is the change risky/not risky?]:trivial change
[String changes made/needed]:none
Attachment #8869658 - Flags: approval-mozilla-beta?
Crash Signature: [@ nsINode::IsEditableInternal ]
Comment on attachment 8869658 [details] [diff] [review]
part 1 - Initialize aOutIndex to the last range in the Selection as a fallback in case we don't add a range later in AddItem

A trivial change. Should be low risk. Beta54+. Should be in 54 beta 11.
Attachment #8869658 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
(In reply to Mats Palmgren (:mats) from comment #14)
> [Is this code covered by automated tests?]:yes
> [Has the fix been verified in Nightly?]:no
> [Needs manual test from QE? If yes, steps to reproduce]: no

Setting qe-verify- based on Mats' assessment on manual testing needs and the fact that this fix has automated coverage.
Flags: qe-verify-
You need to log in before you can comment on or make changes to this bug.